Package Details: ffmpeg-git 4.4.r101737.g896395bbcf-1

Git Clone URL: https://aur.archlinux.org/ffmpeg-git.git (read-only, click to copy)
Package Base: ffmpeg-git
Description: Complete solution to record, convert and stream audio and video (git version)
Upstream URL: https://www.ffmpeg.org/
Keywords: audio codec convert encoder ffmpeg media vaapi video
Licenses: GPL3
Conflicts: ffmpeg
Provides: ffmpeg, libavcodec.so, libavdevice.so, libavfilter.so, libavformat.so, libavutil.so, libpostproc.so, libswresample.so, libswscale.so
Submitter: DrZaius
Maintainer: dbermond
Last Packager: dbermond
Votes: 66
Popularity: 0.004640
First Submitted: 2011-01-17 22:00
Last Updated: 2021-03-26 19:27

Dependencies (64)

Required by (1000)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

dbermond commented on 2019-07-16 21:18

@Schlaefer This is not the purpose of the package.

For this type of functionality (support for qsv + fdk_aac codecs), you should use another package like ffmpeg-full-git.

Schlaefer commented on 2019-07-16 09:30

It would be nice if the build would include libfdk-aac.

saymonz commented on 2019-07-08 20:35

Commented on wrong package, sorry for the noise...

dbermond commented on 2019-07-08 17:01

@saymonz Package is building fine.

saymonz commented on 2019-07-08 12:15

Don't build with repo ffmpeg atm, OK with ffmpeg-git.

dbermond commented on 2019-02-06 01:50

@danboid I'm not sure about what you are referring as the 'foss qsv driver'. intel-media-sdk and intel-media-driver are already open source.

Regarding ffmpeg commands, this will work nice to encode something to h264 using qsv:

$ ffmpeg -i <input> -codec:a copy -codec:v h264_qsv -preset:v medium -rdo 1 -qscale:v 5 -look_ahead 0 -pix_fmt nv12 <output>

There are many ffmpeg options that you can use and tweak. Please refer to some specific forum for help on using ffmpeg command line.

danboid commented on 2019-02-04 18:47

Hi dbermond

Thanks for maintaining this PKGBUILD!

Have you considered creating a ffmpeg qsv PKGBUILD that doesn't use intel-media-sdk? Or, how would I modify this PKGBUILD to build ffmpeg using the FOSS qsv driver? I ask because I have read that the FOSS version of the qsv encoder is more forgiving regarding the input files than when using the official intel media libraries.

I'd also be interested to see any example ffmpeg commands for transcoding from one variety of 4K h264 to a qsv encoded 4K h264 file. I'm hoping that in doing so I can save some disk space. Ideally with both the decoding and encoding being qsv accelerated.

A working example of transcoding from 4K h264 to 1080 h264 using qsv would be great too, if you have one, as I think a lot of people would want to do that too.

dbermond commented on 2018-12-04 14:15

@derdigge AUR helpers are not supported. Please use makepkg.

derdigge commented on 2018-12-04 13:41

I was not able to get this installed. someone seen this?

~~ initializing aurman... ~~ calculating solutions...

!! While searching for solutions the following errors occurred: :: Conflicts between: ffmpeg-1:4.1-1, ffmpeg-git-4.2.r92486.g8f875a90c4-1 Tried to install ffmpeg-git, but it was not possible. Way to package ffmpeg-1:4.1-1: ffmpeg-git-4.2.r92486.g8f875a90c4-1 -> x264-2:155.r0a84d986-2 -> ffmpeg-1:4.1-1 Way to package ffmpeg-git-4.2.r92486.g8f875a90c4-1: ffmpeg-git-4.2.r92486.g8f875a90c4-1

!! we could not find a solution !! if you think that there should be one, rerun aurman with the --deep_search flag

pacman -Q | grep ffmpeg

gives no result.

dbermond commented on 2018-10-05 02:13

Important note:

  • in short: the next time you update your system, use this command: # pacman -Syu intel-media-driver. If you're using intel-media-driver-git you're not affected and you can skip this note.

  • the long story: intel-media-driver is now in the [community] official repository (it is a dependency of intel-media-sdk, which in turn is a dependency of this package). intel-media-driver from the official repository changed the pkgver major number, causing it to be seen as a downgrade by pacman (and AUR helpers of course). This means that pacman will not automatically pull/install intel-media-driver from official repositories when you simply use the usual -Syu. You need to manually specify intel-media-driver alongside with the -Syu command as shown above.